#pragma once
#include "BaseForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for ZoneForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class ZoneForm : public System::Windows::Forms::Form
#else 
    public __gc class ZoneForm : public BaseForm
#endif
	{
	public: 
        ZoneForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }       
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);			
		}
	private: System::Windows::Forms::Label*  label1;
	private: System::Windows::Forms::Label*  label8;
	private: System::Windows::Forms::ComboBox*  comboBox3;

	private: System::Windows::Forms::GroupBox*  GB_CtrlBlock;
	private: System::Windows::Forms::GroupBox*  groupBox1;
	private: System::Windows::Forms::TextBox*  textBox1;
	private: System::Windows::Forms::Label*  label10;
	private: System::Windows::Forms::CheckBox*  checkBox1;
	private: System::Windows::Forms::TextBox*  TB_MapID;

	private: System::Windows::Forms::TextBox*  textBox11;
	private: System::Windows::Forms::Label*  label17;
	private: System::Windows::Forms::Label*  label3;
	private: System::Windows::Forms::TextBox*  textBox3;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::ComboBox*  comboBox2;
	private: System::Windows::Forms::Label*  label7;
	private: System::Windows::Forms::CheckBox*  checkBox3;
	private: System::Windows::Forms::GroupBox*  GB_Revive;
	private: System::Windows::Forms::GroupBox*  groupBox3;
	private: System::Windows::Forms::TextBox*  textBox6;

	private: System::Windows::Forms::Label*  LB_ZoneID;
	private: System::Windows::Forms::TextBox*  textBox8;

	private: System::Windows::Forms::TextBox*  textBox9;
	private: System::Windows::Forms::Label*  label11;
	private: System::Windows::Forms::GroupBox*  groupBox4;
	private: System::Windows::Forms::GroupBox*  groupBox5;
	private: System::Windows::Forms::GroupBox*  groupBox6;
	private: System::Windows::Forms::GroupBox*  groupBox7;
	private: System::Windows::Forms::Label*  label9;

	private: System::Windows::Forms::Label*  label13;
	private: System::Windows::Forms::TextBox*  textBox7;
	private: System::Windows::Forms::Label*  label12;
	private: System::Windows::Forms::TextBox*  TB_MapFile;


	private: System::Windows::Forms::Label*  label14;
	private: System::Windows::Forms::ListView*  LV_MapInfo;

	private: System::Windows::Forms::Button*  button1;
	private: System::Windows::Forms::GroupBox*  groupBox8;
	private: System::Windows::Forms::CheckBox*  CB_SavePosition;
	private: System::Windows::Forms::TextBox*  TB_SubMapName;



	private: System::Windows::Forms::Label*  label16;
	private: System::Windows::Forms::TextBox*  TB_SubMapID;

	private: System::Windows::Forms::Label*  label15;
	private: System::Windows::Forms::ColumnHeader*  columnHeader1;
	private: System::Windows::Forms::ColumnHeader*  columnHeader2;
	private: System::Windows::Forms::ColumnHeader*  columnHeader3;
	private: System::Windows::Forms::Button*  button4;
	private: System::Windows::Forms::Button*  button3;
	private: System::Windows::Forms::Button*  button2;
	private: System::Windows::Forms::Panel*  panel1;
	private: System::Windows::Forms::Label*  label2;
	private: System::Windows::Forms::Label*  label4;
	private: System::Windows::Forms::CheckBox*  checkBox2;
	private: System::Windows::Forms::GroupBox*  GB_PrivateRoom;
	private: System::Windows::Forms::GroupBox*  groupBox2;
	private: System::Windows::Forms::ComboBox*  CB_PrivateZoneType;


	private: System::Windows::Forms::Label*  label6;
	private: System::Windows::Forms::TextBox*  textBox5;
	private: System::Windows::Forms::Label*  label5;
	private: System::Windows::Forms::TextBox*  textBox10;
	private: System::Windows::Forms::Label*  label18;

















private: System::Windows::Forms::TextBox*  textBox18;
private: System::Windows::Forms::Label*  label27;
private: System::Windows::Forms::CheckBox*  checkBox4;
private: System::Windows::Forms::GroupBox*  groupBox9;
private: System::Windows::Forms::TextBox*  textBox41;
private: System::Windows::Forms::TextBox*  textBox42;
private: System::Windows::Forms::TextBox*  textBox39;
private: System::Windows::Forms::TextBox*  textBox40;
private: System::Windows::Forms::TextBox*  textBox37;
private: System::Windows::Forms::TextBox*  textBox38;
private: System::Windows::Forms::TextBox*  textBox35;
private: System::Windows::Forms::TextBox*  textBox36;
private: System::Windows::Forms::TextBox*  textBox33;
private: System::Windows::Forms::TextBox*  textBox34;
private: System::Windows::Forms::TextBox*  textBox31;
private: System::Windows::Forms::TextBox*  textBox32;
private: System::Windows::Forms::TextBox*  textBox29;
private: System::Windows::Forms::TextBox*  textBox30;
private: System::Windows::Forms::TextBox*  textBox27;
private: System::Windows::Forms::TextBox*  textBox28;
private: System::Windows::Forms::TextBox*  textBox25;
private: System::Windows::Forms::TextBox*  textBox26;
private: System::Windows::Forms::TextBox*  textBox23;
private: System::Windows::Forms::TextBox*  textBox24;
private: System::Windows::Forms::TextBox*  textBox21;
private: System::Windows::Forms::TextBox*  textBox22;
private: System::Windows::Forms::TextBox*  textBox19;
private: System::Windows::Forms::TextBox*  textBox20;
private: System::Windows::Forms::TextBox*  textBox16;
private: System::Windows::Forms::TextBox*  textBox17;
private: System::Windows::Forms::TextBox*  textBox14;
private: System::Windows::Forms::TextBox*  textBox15;
private: System::Windows::Forms::TextBox*  textBox13;
private: System::Windows::Forms::TextBox*  textBox12;
private: System::Windows::Forms::Label*  label20;
private: System::Windows::Forms::Label*  label19;
private: System::Windows::Forms::TextBox*  textBox43;
private: System::Windows::Forms::Label*  label21;
private: System::Windows::Forms::GroupBox*  groupBox10;







private: System::Windows::Forms::TextBox*  textBox47;
private: System::Windows::Forms::Label*  label25;
private: System::Windows::Forms::CheckBox*  checkBox5;
private: System::Windows::Forms::CheckBox*  checkBox6;
private: System::Windows::Forms::CheckBox*  checkBox7;
private: System::Windows::Forms::CheckBox*  checkBox8;
private: System::Windows::Forms::CheckBox*  checkBox9;
private: System::Windows::Forms::TextBox*  textBox44;
private: System::Windows::Forms::Label*  label22;
private: System::Windows::Forms::TextBox*  textBox45;
private: System::Windows::Forms::Label*  label23;
private: System::Windows::Forms::CheckBox*  checkBox10;
private: System::Windows::Forms::TextBox*  textBox48;
private: System::Windows::Forms::Label*  label26;
private: System::Windows::Forms::TextBox*  textBox46;
private: System::Windows::Forms::Label*  label24;
private: System::Windows::Forms::TextBox*  textBox52;
private: System::Windows::Forms::TextBox*  textBox51;
private: System::Windows::Forms::TextBox*  textBox50;
private: System::Windows::Forms::TextBox*  textBox49;
private: System::Windows::Forms::Label*  label28;
private: System::Windows::Forms::CheckBox*  checkBox11;
private: System::Windows::Forms::TextBox*  textBox82;
private: System::Windows::Forms::TextBox*  textBox81;
private: System::Windows::Forms::TextBox*  textBox80;
private: System::Windows::Forms::TextBox*  textBox79;
private: System::Windows::Forms::TextBox*  textBox78;
private: System::Windows::Forms::TextBox*  textBox77;
private: System::Windows::Forms::TextBox*  textBox76;
private: System::Windows::Forms::TextBox*  textBox75;
private: System::Windows::Forms::TextBox*  textBox74;
private: System::Windows::Forms::TextBox*  textBox73;
private: System::Windows::Forms::TextBox*  textBox72;
private: System::Windows::Forms::TextBox*  textBox71;
private: System::Windows::Forms::TextBox*  textBox70;
private: System::Windows::Forms::TextBox*  textBox69;
private: System::Windows::Forms::TextBox*  textBox68;
private: System::Windows::Forms::TextBox*  textBox67;
private: System::Windows::Forms::TextBox*  textBox66;
private: System::Windows::Forms::TextBox*  textBox65;
private: System::Windows::Forms::TextBox*  textBox64;
private: System::Windows::Forms::TextBox*  textBox63;
private: System::Windows::Forms::TextBox*  textBox62;
private: System::Windows::Forms::TextBox*  textBox61;
private: System::Windows::Forms::TextBox*  textBox60;
private: System::Windows::Forms::TextBox*  textBox59;
private: System::Windows::Forms::TextBox*  textBox58;
private: System::Windows::Forms::TextBox*  textBox57;
private: System::Windows::Forms::TextBox*  textBox56;
private: System::Windows::Forms::TextBox*  textBox55;
private: System::Windows::Forms::TextBox*  textBox54;
private: System::Windows::Forms::TextBox*  textBox53;
private: System::Windows::Forms::Label*  label29;
private: System::Windows::Forms::Label*  label30;
private: System::Windows::Forms::GroupBox*  groupBox12;
private: System::Windows::Forms::GroupBox*  groupBox11;
private: System::Windows::Forms::GroupBox*  GP_MirrorInstance;

private: System::Windows::Forms::GroupBox*  groupBox14;



private: System::Windows::Forms::TextBox*  TB_Mirror_Z;

private: System::Windows::Forms::Label*  label35;
private: System::Windows::Forms::TextBox*  TB_Mirror_Y;

private: System::Windows::Forms::Label*  label36;
private: System::Windows::Forms::TextBox*  TB_Mirror_X;

private: System::Windows::Forms::Label*  label37;
private: System::Windows::Forms::TextBox*  TB_MirrorLimitTime;

private: System::Windows::Forms::TextBox*  TB_MirrorLimitLv;

private: System::Windows::Forms::Label*  label33;
private: System::Windows::Forms::ComboBox*  CB_MirrorInstanceType;

private: System::Windows::Forms::Label*  label32;
private: System::Windows::Forms::Label*  label31;










































	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->GB_CtrlBlock = (new System::Windows::Forms::GroupBox());
			this->label4 = (new System::Windows::Forms::Label());
			this->label3 = (new System::Windows::Forms::Label());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->label1 = (new System::Windows::Forms::Label());
			this->checkBox1 = (new System::Windows::Forms::CheckBox());
			this->checkBox2 = (new System::Windows::Forms::CheckBox());
			this->GB_PrivateRoom = (new System::Windows::Forms::GroupBox());
			this->textBox43 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->label18 = (new System::Windows::Forms::Label());
			this->comboBox2 = (new System::Windows::Forms::ComboBox());
			this->label7 = (new System::Windows::Forms::Label());
			this->CB_PrivateZoneType = (new System::Windows::Forms::ComboBox());
			this->label6 = (new System::Windows::Forms::Label());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->checkBox3 = (new System::Windows::Forms::CheckBox());
			this->GB_Revive = (new System::Windows::Forms::GroupBox());
			this->textBox11 = (new System::Windows::Forms::TextBox());
			this->label17 = (new System::Windows::Forms::Label());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->groupBox7 = (new System::Windows::Forms::GroupBox());
			this->TB_MapID = (new System::Windows::Forms::TextBox());
			this->TB_MapFile = (new System::Windows::Forms::TextBox());
			this->label14 = (new System::Windows::Forms::Label());
			this->label13 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->LV_MapInfo = (new System::Windows::Forms::ListView());
			this->columnHeader1 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader2 = (new System::Windows::Forms::ColumnHeader());
			this->columnHeader3 = (new System::Windows::Forms::ColumnHeader());
			this->button1 = (new System::Windows::Forms::Button());
			this->groupBox8 = (new System::Windows::Forms::GroupBox());
			this->button4 = (new System::Windows::Forms::Button());
			this->button3 = (new System::Windows::Forms::Button());
			this->button2 = (new System::Windows::Forms::Button());
			this->CB_SavePosition = (new System::Windows::Forms::CheckBox());
			this->TB_SubMapName = (new System::Windows::Forms::TextBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->TB_SubMapID = (new System::Windows::Forms::TextBox());
			this->label15 = (new System::Windows::Forms::Label());
			this->panel1 = (new System::Windows::Forms::Panel());
			this->GP_MirrorInstance = (new System::Windows::Forms::GroupBox());
			this->groupBox14 = (new System::Windows::Forms::GroupBox());
			this->TB_Mirror_Z = (new System::Windows::Forms::TextBox());
			this->label35 = (new System::Windows::Forms::Label());
			this->TB_Mirror_Y = (new System::Windows::Forms::TextBox());
			this->label36 = (new System::Windows::Forms::Label());
			this->TB_Mirror_X = (new System::Windows::Forms::TextBox());
			this->label37 = (new System::Windows::Forms::Label());
			this->TB_MirrorLimitTime = (new System::Windows::Forms::TextBox());
			this->TB_MirrorLimitLv = (new System::Windows::Forms::TextBox());
			this->label33 = (new System::Windows::Forms::Label());
			this->CB_MirrorInstanceType = (new System::Windows::Forms::ComboBox());
			this->label32 = (new System::Windows::Forms::Label());
			this->label31 = (new System::Windows::Forms::Label());
			this->groupBox10 = (new System::Windows::Forms::GroupBox());
			this->checkBox11 = (new System::Windows::Forms::CheckBox());
			this->textBox52 = (new System::Windows::Forms::TextBox());
			this->textBox51 = (new System::Windows::Forms::TextBox());
			this->textBox50 = (new System::Windows::Forms::TextBox());
			this->textBox49 = (new System::Windows::Forms::TextBox());
			this->label28 = (new System::Windows::Forms::Label());
			this->textBox48 = (new System::Windows::Forms::TextBox());
			this->label26 = (new System::Windows::Forms::Label());
			this->textBox46 = (new System::Windows::Forms::TextBox());
			this->label24 = (new System::Windows::Forms::Label());
			this->checkBox10 = (new System::Windows::Forms::CheckBox());
			this->textBox45 = (new System::Windows::Forms::TextBox());
			this->label23 = (new System::Windows::Forms::Label());
			this->textBox44 = (new System::Windows::Forms::TextBox());
			this->label22 = (new System::Windows::Forms::Label());
			this->checkBox9 = (new System::Windows::Forms::CheckBox());
			this->checkBox8 = (new System::Windows::Forms::CheckBox());
			this->checkBox7 = (new System::Windows::Forms::CheckBox());
			this->checkBox6 = (new System::Windows::Forms::CheckBox());
			this->textBox47 = (new System::Windows::Forms::TextBox());
			this->label25 = (new System::Windows::Forms::Label());
			this->checkBox5 = (new System::Windows::Forms::CheckBox());
			this->groupBox9 = (new System::Windows::Forms::GroupBox());
			this->groupBox12 = (new System::Windows::Forms::GroupBox());
			this->label30 = (new System::Windows::Forms::Label());
			this->label29 = (new System::Windows::Forms::Label());
			this->textBox82 = (new System::Windows::Forms::TextBox());
			this->textBox53 = (new System::Windows::Forms::TextBox());
			this->textBox81 = (new System::Windows::Forms::TextBox());
			this->textBox54 = (new System::Windows::Forms::TextBox());
			this->textBox80 = (new System::Windows::Forms::TextBox());
			this->textBox55 = (new System::Windows::Forms::TextBox());
			this->textBox79 = (new System::Windows::Forms::TextBox());
			this->textBox56 = (new System::Windows::Forms::TextBox());
			this->textBox78 = (new System::Windows::Forms::TextBox());
			this->textBox57 = (new System::Windows::Forms::TextBox());
			this->textBox77 = (new System::Windows::Forms::TextBox());
			this->textBox58 = (new System::Windows::Forms::TextBox());
			this->textBox76 = (new System::Windows::Forms::TextBox());
			this->textBox59 = (new System::Windows::Forms::TextBox());
			this->textBox75 = (new System::Windows::Forms::TextBox());
			this->textBox60 = (new System::Windows::Forms::TextBox());
			this->textBox74 = (new System::Windows::Forms::TextBox());
			this->textBox61 = (new System::Windows::Forms::TextBox());
			this->textBox73 = (new System::Windows::Forms::TextBox());
			this->textBox62 = (new System::Windows::Forms::TextBox());
			this->textBox72 = (new System::Windows::Forms::TextBox());
			this->textBox63 = (new System::Windows::Forms::TextBox());
			this->textBox71 = (new System::Windows::Forms::TextBox());
			this->textBox64 = (new System::Windows::Forms::TextBox());
			this->textBox70 = (new System::Windows::Forms::TextBox());
			this->textBox65 = (new System::Windows::Forms::TextBox());
			this->textBox69 = (new System::Windows::Forms::TextBox());
			this->textBox66 = (new System::Windows::Forms::TextBox());
			this->textBox68 = (new System::Windows::Forms::TextBox());
			this->textBox67 = (new System::Windows::Forms::TextBox());
			this->groupBox11 = (new System::Windows::Forms::GroupBox());
			this->label19 = (new System::Windows::Forms::Label());
			this->label20 = (new System::Windows::Forms::Label());
			this->textBox41 = (new System::Windows::Forms::TextBox());
			this->textBox12 = (new System::Windows::Forms::TextBox());
			this->textBox13 = (new System::Windows::Forms::TextBox());
			this->textBox42 = (new System::Windows::Forms::TextBox());
			this->textBox15 = (new System::Windows::Forms::TextBox());
			this->textBox14 = (new System::Windows::Forms::TextBox());
			this->textBox39 = (new System::Windows::Forms::TextBox());
			this->textBox17 = (new System::Windows::Forms::TextBox());
			this->textBox16 = (new System::Windows::Forms::TextBox());
			this->textBox40 = (new System::Windows::Forms::TextBox());
			this->textBox20 = (new System::Windows::Forms::TextBox());
			this->textBox19 = (new System::Windows::Forms::TextBox());
			this->textBox37 = (new System::Windows::Forms::TextBox());
			this->textBox22 = (new System::Windows::Forms::TextBox());
			this->textBox21 = (new System::Windows::Forms::TextBox());
			this->textBox38 = (new System::Windows::Forms::TextBox());
			this->textBox24 = (new System::Windows::Forms::TextBox());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->textBox35 = (new System::Windows::Forms::TextBox());
			this->textBox26 = (new System::Windows::Forms::TextBox());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->textBox36 = (new System::Windows::Forms::TextBox());
			this->textBox28 = (new System::Windows::Forms::TextBox());
			this->textBox27 = (new System::Windows::Forms::TextBox());
			this->textBox33 = (new System::Windows::Forms::TextBox());
			this->textBox30 = (new System::Windows::Forms::TextBox());
			this->textBox29 = (new System::Windows::Forms::TextBox());
			this->textBox34 = (new System::Windows::Forms::TextBox());
			this->textBox32 = (new System::Windows::Forms::TextBox());
			this->textBox31 = (new System::Windows::Forms::TextBox());
			this->checkBox4 = (new System::Windows::Forms::CheckBox());
			this->textBox18 = (new System::Windows::Forms::TextBox());
			this->label27 = (new System::Windows::Forms::Label());
			this->LB_ZoneID = (new System::Windows::Forms::Label());
			this->GB_CtrlBlock->SuspendLayout();
			this->GB_PrivateRoom->SuspendLayout();
			this->GB_Revive->SuspendLayout();
			this->groupBox4->SuspendLayout();
			this->groupBox5->SuspendLayout();
			this->groupBox6->SuspendLayout();
			this->groupBox7->SuspendLayout();
			this->groupBox8->SuspendLayout();
			this->panel1->SuspendLayout();
			this->GP_MirrorInstance->SuspendLayout();
			this->groupBox14->SuspendLayout();
			this->groupBox10->SuspendLayout();
			this->groupBox9->SuspendLayout();
			this->groupBox12->SuspendLayout();
			this->groupBox11->SuspendLayout();
			this->SuspendLayout();
			// 
			// GB_CtrlBlock
			// 
			this->GB_CtrlBlock->Controls->Add(this->label4);
			this->GB_CtrlBlock->Controls->Add(this->label3);
			this->GB_CtrlBlock->Controls->Add(this->textBox3);
			this->GB_CtrlBlock->Controls->Add(this->textBox4);
			this->GB_CtrlBlock->Controls->Add(this->textBox2);
			this->GB_CtrlBlock->Controls->Add(this->label2);
			this->GB_CtrlBlock->Controls->Add(this->textBox1);
			this->GB_CtrlBlock->Controls->Add(this->label1);
			this->GB_CtrlBlock->Location = System::Drawing::Point(6, 33);
			this->GB_CtrlBlock->Name = S"GB_CtrlBlock";
			this->GB_CtrlBlock->Size = System::Drawing::Size(212, 81);
			this->GB_CtrlBlock->TabIndex = 0;
			this->GB_CtrlBlock->TabStop = false;
			// 
			// label4
			// 
			this->label4->AutoSize = true;
			this->label4->Location = System::Drawing::Point(103, 52);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(17, 12);
			this->label4->TabIndex = 9;
			this->label4->Text = S"至";
			// 
			// label3
			// 
			this->label3->AutoSize = true;
			this->label3->Location = System::Drawing::Point(103, 24);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(17, 12);
			this->label3->TabIndex = 8;
			this->label3->Text = S"至";
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(122, 48);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(71, 22);
			this->textBox3->TabIndex = 7;
			this->textBox3->Tag = S"CtrlMaxZ";
			this->textBox3->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(122, 21);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(71, 22);
			this->textBox4->TabIndex = 5;
			this->textBox4->Tag = S"CtrlMaxX";
			this->textBox4->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(28, 48);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(71, 22);
			this->textBox2->TabIndex = 3;
			this->textBox2->Tag = S"CtrlMinZ";
			this->textBox2->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Location = System::Drawing::Point(9, 52);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(12, 12);
			this->label2->TabIndex = 2;
			this->label2->Text = S"Z";
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(28, 21);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(71, 22);
			this->textBox1->TabIndex = 1;
			this->textBox1->Tag = S"CtrlMinX";
			this->textBox1->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Location = System::Drawing::Point(9, 24);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(13, 12);
			this->label1->TabIndex = 0;
			this->label1->Text = S"X";
			// 
			// checkBox1
			// 
			this->checkBox1->AutoSize = true;
			this->checkBox1->Location = System::Drawing::Point(6, 12);
			this->checkBox1->Name = S"checkBox1";
			this->checkBox1->Size = System::Drawing::Size(156, 16);
			this->checkBox1->TabIndex = 1;
			this->checkBox1->Tag = S"IsEnabledBlockCtrl";
			this->checkBox1->Text = S"用區塊設定控制區域範圍";
			this->checkBox1->UseVisualStyleBackColor = true;
			this->checkBox1->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// checkBox2
			// 
			this->checkBox2->AutoSize = true;
			this->checkBox2->Location = System::Drawing::Point(8, 39);
			this->checkBox2->Name = S"checkBox2";
			this->checkBox2->Size = System::Drawing::Size(84, 16);
			this->checkBox2->TabIndex = 2;
			this->checkBox2->Tag = S"IsPrivateZone";
			this->checkBox2->Text = S"為獨立區域";
			this->checkBox2->UseVisualStyleBackColor = true;
			this->checkBox2->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// GB_PrivateRoom
			// 
			this->GB_PrivateRoom->Controls->Add(this->textBox43);
			this->GB_PrivateRoom->Controls->Add(this->label21);
			this->GB_PrivateRoom->Controls->Add(this->textBox10);
			this->GB_PrivateRoom->Controls->Add(this->label18);
			this->GB_PrivateRoom->Controls->Add(this->comboBox2);
			this->GB_PrivateRoom->Controls->Add(this->label7);
			this->GB_PrivateRoom->Controls->Add(this->CB_PrivateZoneType);
			this->GB_PrivateRoom->Controls->Add(this->label6);
			this->GB_PrivateRoom->Location = System::Drawing::Point(6, 63);
			this->GB_PrivateRoom->Name = S"GB_PrivateRoom";
			this->GB_PrivateRoom->Size = System::Drawing::Size(200, 129);
			this->GB_PrivateRoom->TabIndex = 3;
			this->GB_PrivateRoom->TabStop = false;
			this->GB_PrivateRoom->Text = S"平行空間";
			// 
			// textBox43
			// 
			this->textBox43->Location = System::Drawing::Point(81, 96);
			this->textBox43->Name = S"textBox43";
			this->textBox43->Size = System::Drawing::Size(65, 22);
			this->textBox43->TabIndex = 12;
			this->textBox43->Tag = S"RoomPlayerCount";
			this->textBox43->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Location = System::Drawing::Point(9, 99);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(53, 12);
			this->label21->TabIndex = 11;
			this->label21->Text = S"人數上限";
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(81, 17);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(65, 22);
			this->textBox10->TabIndex = 10;
			this->textBox10->Tag = S"PlayRoomCount";
			this->textBox10->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label18
			// 
			this->label18->AutoSize = true;
			this->label18->Location = System::Drawing::Point(9, 20);
			this->label18->Name = S"label18";
			this->label18->Size = System::Drawing::Size(53, 12);
			this->label18->TabIndex = 9;
			this->label18->Text = S"獨立空間";
			// 
			// comboBox2
			// 
			this->comboBox2->FormattingEnabled = true;
			System::Object* __mcTemp__1[] = new System::Object*[3];
			__mcTemp__1[0] = S"10";
			__mcTemp__1[1] = S"30";
			__mcTemp__1[2] = S"60";
			this->comboBox2->Items->AddRange(__mcTemp__1);
			this->comboBox2->Location = System::Drawing::Point(81, 70);
			this->comboBox2->Name = S"comboBox2";
			this->comboBox2->Size = System::Drawing::Size(102, 20);
			this->comboBox2->TabIndex = 8;
			this->comboBox2->Tag = S"PrivateZoneLiveTime";
			this->comboBox2->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Location = System::Drawing::Point(9, 73);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(73, 12);
			this->label7->TabIndex = 7;
			this->label7->Text = S"保留時間(分)";
			// 
			// CB_PrivateZoneType
			// 
			this->CB_PrivateZoneType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_PrivateZoneType->FormattingEnabled = true;
			System::Object* __mcTemp__2[] = new System::Object*[5];
			__mcTemp__2[0] = S"一般";
			__mcTemp__2[1] = S"個人副本";
			__mcTemp__2[2] = S"隊伍副本";
			__mcTemp__2[3] = S"團隊副本";
			__mcTemp__2[4] = S"個人與隊伍副本";
			this->CB_PrivateZoneType->Items->AddRange(__mcTemp__2);
			this->CB_PrivateZoneType->Location = System::Drawing::Point(81, 44);
			this->CB_PrivateZoneType->Name = S"CB_PrivateZoneType";
			this->CB_PrivateZoneType->Size = System::Drawing::Size(102, 20);
			this->CB_PrivateZoneType->TabIndex = 6;
			this->CB_PrivateZoneType->Tag = S"PrivateZoneType";
			this->CB_PrivateZoneType->TextChanged += new System::EventHandler(this, &ZoneForm::GetIndex_SelectedIndexChanged);
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Location = System::Drawing::Point(9, 47);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(29, 12);
			this->label6->TabIndex = 4;
			this->label6->Text = S"類型";
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(97, 12);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(65, 22);
			this->textBox5->TabIndex = 3;
			this->textBox5->Tag = S"BaseRoomCount";
			this->textBox5->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Location = System::Drawing::Point(15, 14);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(77, 12);
			this->label5->TabIndex = 2;
			this->label5->Text = S"樣板空間數量";
			this->label5->Click += new System::EventHandler(this, &ZoneForm::label5_Click);
			// 
			// checkBox3
			// 
			this->checkBox3->AutoSize = true;
			this->checkBox3->Location = System::Drawing::Point(6, 12);
			this->checkBox3->Name = S"checkBox3";
			this->checkBox3->Size = System::Drawing::Size(96, 16);
			this->checkBox3->TabIndex = 4;
			this->checkBox3->Tag = S"IsEnabledRevPoint";
			this->checkBox3->Text = S"強制重生位置";
			this->checkBox3->UseVisualStyleBackColor = true;
			this->checkBox3->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// GB_Revive
			// 
			this->GB_Revive->Controls->Add(this->textBox11);
			this->GB_Revive->Controls->Add(this->label17);
			this->GB_Revive->Controls->Add(this->textBox6);
			this->GB_Revive->Controls->Add(this->label8);
			this->GB_Revive->Controls->Add(this->textBox8);
			this->GB_Revive->Controls->Add(this->label10);
			this->GB_Revive->Controls->Add(this->textBox9);
			this->GB_Revive->Controls->Add(this->label11);
			this->GB_Revive->Location = System::Drawing::Point(6, 31);
			this->GB_Revive->Name = S"GB_Revive";
			this->GB_Revive->Size = System::Drawing::Size(212, 107);
			this->GB_Revive->TabIndex = 5;
			this->GB_Revive->TabStop = false;
			// 
			// textBox11
			// 
			this->textBox11->Location = System::Drawing::Point(147, 21);
			this->textBox11->Name = S"textBox11";
			this->textBox11->Size = System::Drawing::Size(59, 22);
			this->textBox11->TabIndex = 7;
			this->textBox11->Tag = S"RevZoneID";
			this->textBox11->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label17
			// 
			this->label17->AutoSize = true;
			this->label17->Location = System::Drawing::Point(105, 24);
			this->label17->Name = S"label17";
			this->label17->Size = System::Drawing::Size(41, 12);
			this->label17->TabIndex = 6;
			this->label17->Text = S"ZoneID";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(28, 76);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(71, 22);
			this->textBox6->TabIndex = 5;
			this->textBox6->Tag = S"RevZ";
			this->textBox6->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label8
			// 
			this->label8->AutoSize = true;
			this->label8->Location = System::Drawing::Point(9, 80);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(12, 12);
			this->label8->TabIndex = 4;
			this->label8->Text = S"Z";
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(28, 48);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(71, 22);
			this->textBox8->TabIndex = 3;
			this->textBox8->Tag = S"RevY";
			this->textBox8->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Location = System::Drawing::Point(9, 52);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(13, 12);
			this->label10->TabIndex = 2;
			this->label10->Text = S"Y";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(28, 21);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(71, 22);
			this->textBox9->TabIndex = 1;
			this->textBox9->Tag = S"RevX";
			this->textBox9->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Location = System::Drawing::Point(9, 24);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(13, 12);
			this->label11->TabIndex = 0;
			this->label11->Text = S"X";
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->checkBox1);
			this->groupBox4->Controls->Add(this->GB_CtrlBlock);
			this->groupBox4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox4->Location = System::Drawing::Point(13, 159);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(227, 120);
			this->groupBox4->TabIndex = 6;
			this->groupBox4->TabStop = false;
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->checkBox2);
			this->groupBox5->Controls->Add(this->GB_PrivateRoom);
			this->groupBox5->Controls->Add(this->textBox5);
			this->groupBox5->Controls->Add(this->label5);
			this->groupBox5->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox5->Location = System::Drawing::Point(13, 282);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(227, 204);
			this->groupBox5->TabIndex = 7;
			this->groupBox5->TabStop = false;
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->GB_Revive);
			this->groupBox6->Controls->Add(this->checkBox3);
			this->groupBox6->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox6->Location = System::Drawing::Point(13, 492);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(227, 148);
			this->groupBox6->TabIndex = 8;
			this->groupBox6->TabStop = false;
			// 
			// groupBox7
			// 
			this->groupBox7->Controls->Add(this->TB_MapID);
			this->groupBox7->Controls->Add(this->TB_MapFile);
			this->groupBox7->Controls->Add(this->label14);
			this->groupBox7->Controls->Add(this->label13);
			this->groupBox7->Controls->Add(this->textBox7);
			this->groupBox7->Controls->Add(this->label12);
			this->groupBox7->Controls->Add(this->comboBox3);
			this->groupBox7->Controls->Add(this->label9);
			this->groupBox7->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox7->Location = System::Drawing::Point(13, 27);
			this->groupBox7->Name = S"groupBox7";
			this->groupBox7->Size = System::Drawing::Size(227, 126);
			this->groupBox7->TabIndex = 9;
			this->groupBox7->TabStop = false;
			this->groupBox7->Text = S"基本設定";
			// 
			// TB_MapID
			// 
			this->TB_MapID->Location = System::Drawing::Point(87, 43);
			this->TB_MapID->Name = S"TB_MapID";
			this->TB_MapID->Size = System::Drawing::Size(85, 22);
			this->TB_MapID->TabIndex = 14;
			this->TB_MapID->Tag = S"MapID";
			this->TB_MapID->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// TB_MapFile
			// 
			this->TB_MapFile->Location = System::Drawing::Point(87, 15);
			this->TB_MapFile->Name = S"TB_MapFile";
			this->TB_MapFile->Size = System::Drawing::Size(131, 22);
			this->TB_MapFile->TabIndex = 13;
			this->TB_MapFile->Tag = S"MapFile";
			this->TB_MapFile->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Location = System::Drawing::Point(16, 18);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(53, 12);
			this->label14->TabIndex = 12;
			this->label14->Text = S"地圖檔名";
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Location = System::Drawing::Point(21, 46);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(41, 12);
			this->label13->TabIndex = 10;
			this->label13->Text = S"地圖ID";
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(87, 98);
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(85, 22);
			this->textBox7->TabIndex = 9;
			this->textBox7->Tag = S"CampStatueObjID";
			this->textBox7->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Location = System::Drawing::Point(16, 102);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(53, 12);
			this->label12->TabIndex = 8;
			this->label12->Text = S"陣營物件";
			// 
			// comboBox3
			// 
			this->comboBox3->FormattingEnabled = true;
			System::Object* __mcTemp__3[] = new System::Object*[5];
			__mcTemp__3[0] = S"100";
			__mcTemp__3[1] = S"120";
			__mcTemp__3[2] = S"140";
			__mcTemp__3[3] = S"180";
			__mcTemp__3[4] = S"200";
			this->comboBox3->Items->AddRange(__mcTemp__3);
			this->comboBox3->Location = System::Drawing::Point(87, 74);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(85, 20);
			this->comboBox3->TabIndex = 7;
			this->comboBox3->Tag = S"ViewBlock";
			this->comboBox3->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Location = System::Drawing::Point(4, 77);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(77, 12);
			this->label9->TabIndex = 3;
			this->label9->Text = S"視野區塊大小";
			// 
			// LV_MapInfo
			// 
			System::Windows::Forms::ColumnHeader* __mcTemp__4[] = new System::Windows::Forms::ColumnHeader*[3];
			__mcTemp__4[0] = this->columnHeader1;
			__mcTemp__4[1] = this->columnHeader2;
			__mcTemp__4[2] = this->columnHeader3;
			this->LV_MapInfo->Columns->AddRange(__mcTemp__4);
			this->LV_MapInfo->FullRowSelect = true;
			this->LV_MapInfo->GridLines = true;
			this->LV_MapInfo->HideSelection = false;
			this->LV_MapInfo->Location = System::Drawing::Point(246, 122);
			this->LV_MapInfo->MultiSelect = false;
			this->LV_MapInfo->Name = S"LV_MapInfo";
			this->LV_MapInfo->Size = System::Drawing::Size(303, 380);
			this->LV_MapInfo->TabIndex = 10;
			this->LV_MapInfo->UseCompatibleStateImageBehavior = false;
			this->LV_MapInfo->View = System::Windows::Forms::View::Details;
			this->LV_MapInfo->SelectedIndexChanged += new System::EventHandler(this, &ZoneForm::MapInfo_SelectedIndexChanged);
			// 
			// columnHeader1
			// 
			this->columnHeader1->Text = S"記錄位置";
			this->columnHeader1->Width = 68;
			// 
			// columnHeader2
			// 
			this->columnHeader2->Text = S"地圖ID";
			this->columnHeader2->Width = 65;
			// 
			// columnHeader3
			// 
			this->columnHeader3->Text = S"地圖名稱";
			this->columnHeader3->Width = 152;
			// 
			// button1
			// 
			this->button1->Location = System::Drawing::Point(246, 508);
			this->button1->Name = S"button1";
			this->button1->Size = System::Drawing::Size(128, 26);
			this->button1->TabIndex = 11;
			this->button1->Text = S"更新檔案內地區資訊";
			this->button1->UseVisualStyleBackColor = true;
			this->button1->Click += new System::EventHandler(this, &ZoneForm::UpdateMapInfoClick);
			// 
			// groupBox8
			// 
			this->groupBox8->Controls->Add(this->button4);
			this->groupBox8->Controls->Add(this->button3);
			this->groupBox8->Controls->Add(this->button2);
			this->groupBox8->Controls->Add(this->CB_SavePosition);
			this->groupBox8->Controls->Add(this->TB_SubMapName);
			this->groupBox8->Controls->Add(this->label16);
			this->groupBox8->Controls->Add(this->TB_SubMapID);
			this->groupBox8->Controls->Add(this->label15);
			this->groupBox8->Location = System::Drawing::Point(246, 12);
			this->groupBox8->Name = S"groupBox8";
			this->groupBox8->Size = System::Drawing::Size(303, 105);
			this->groupBox8->TabIndex = 12;
			this->groupBox8->TabStop = false;
			this->groupBox8->Text = S"修改地圖資訊";
			// 
			// button4
			// 
			this->button4->Location = System::Drawing::Point(253, 67);
			this->button4->Name = S"button4";
			this->button4->Size = System::Drawing::Size(37, 23);
			this->button4->TabIndex = 11;
			this->button4->Text = S"刪除";
			this->button4->UseVisualStyleBackColor = true;
			this->button4->Click += new System::EventHandler(this, &ZoneForm::DelMapInfoClick);
			// 
			// button3
			// 
			this->button3->Location = System::Drawing::Point(207, 68);
			this->button3->Name = S"button3";
			this->button3->Size = System::Drawing::Size(40, 23);
			this->button3->TabIndex = 10;
			this->button3->Text = S"新增";
			this->button3->UseVisualStyleBackColor = true;
			this->button3->Click += new System::EventHandler(this, &ZoneForm::NewMapInfoClick);
			// 
			// button2
			// 
			this->button2->Location = System::Drawing::Point(10, 67);
			this->button2->Name = S"button2";
			this->button2->Size = System::Drawing::Size(75, 23);
			this->button2->TabIndex = 9;
			this->button2->Text = S"更新";
			this->button2->UseVisualStyleBackColor = true;
			this->button2->Click += new System::EventHandler(this, &ZoneForm::ModifyMapInfoClick);
			// 
			// CB_SavePosition
			// 
			this->CB_SavePosition->AutoSize = true;
			this->CB_SavePosition->Location = System::Drawing::Point(14, 21);
			this->CB_SavePosition->Name = S"CB_SavePosition";
			this->CB_SavePosition->Size = System::Drawing::Size(72, 16);
			this->CB_SavePosition->TabIndex = 8;
			this->CB_SavePosition->Text = S"記錄位置";
			this->CB_SavePosition->UseVisualStyleBackColor = true;
			// 
			// TB_SubMapName
			// 
			this->TB_SubMapName->Location = System::Drawing::Point(120, 42);
			this->TB_SubMapName->Name = S"TB_SubMapName";
			this->TB_SubMapName->Size = System::Drawing::Size(170, 22);
			this->TB_SubMapName->TabIndex = 7;
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Location = System::Drawing::Point(85, 44);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(29, 12);
			this->label16->TabIndex = 6;
			this->label16->Text = S"名稱";
			// 
			// TB_SubMapID
			// 
			this->TB_SubMapID->Location = System::Drawing::Point(120, 18);
			this->TB_SubMapID->Name = S"TB_SubMapID";
			this->TB_SubMapID->Size = System::Drawing::Size(65, 22);
			this->TB_SubMapID->TabIndex = 5;
			// 
			// label15
			// 
			this->label15->AutoSize = true;
			this->label15->Location = System::Drawing::Point(97, 21);
			this->label15->Name = S"label15";
			this->label15->Size = System::Drawing::Size(17, 12);
			this->label15->TabIndex = 4;
			this->label15->Text = S"ID";
			// 
			// panel1
			// 
			this->panel1->AutoSize = true;
			this->panel1->Controls->Add(this->GP_MirrorInstance);
			this->panel1->Controls->Add(this->groupBox10);
			this->panel1->Controls->Add(this->groupBox9);
			this->panel1->Controls->Add(this->checkBox4);
			this->panel1->Controls->Add(this->textBox18);
			this->panel1->Controls->Add(this->label27);
			this->panel1->Controls->Add(this->LB_ZoneID);
			this->panel1->Controls->Add(this->groupBox7);
			this->panel1->Controls->Add(this->groupBox8);
			this->panel1->Controls->Add(this->groupBox4);
			this->panel1->Controls->Add(this->button1);
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->LV_MapInfo);
			this->panel1->Controls->Add(this->groupBox6);
			this->panel1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(1148, 746);
			this->panel1->TabIndex = 13;
			// 
			// GP_MirrorInstance
			// 
			this->GP_MirrorInstance->Controls->Add(this->groupBox14);
			this->GP_MirrorInstance->Controls->Add(this->TB_MirrorLimitTime);
			this->GP_MirrorInstance->Controls->Add(this->TB_MirrorLimitLv);
			this->GP_MirrorInstance->Controls->Add(this->label33);
			this->GP_MirrorInstance->Controls->Add(this->CB_MirrorInstanceType);
			this->GP_MirrorInstance->Controls->Add(this->label32);
			this->GP_MirrorInstance->Controls->Add(this->label31);
			this->GP_MirrorInstance->Location = System::Drawing::Point(246, 536);
			this->GP_MirrorInstance->Name = S"GP_MirrorInstance";
			this->GP_MirrorInstance->Size = System::Drawing::Size(299, 126);
			this->GP_MirrorInstance->TabIndex = 20;
			this->GP_MirrorInstance->TabStop = false;
			this->GP_MirrorInstance->Text = S"鏡世界副本";
			// 
			// groupBox14
			// 
			this->groupBox14->Controls->Add(this->TB_Mirror_Z);
			this->groupBox14->Controls->Add(this->label35);
			this->groupBox14->Controls->Add(this->TB_Mirror_Y);
			this->groupBox14->Controls->Add(this->label36);
			this->groupBox14->Controls->Add(this->TB_Mirror_X);
			this->groupBox14->Controls->Add(this->label37);
			this->groupBox14->Location = System::Drawing::Point(175, 15);
			this->groupBox14->Name = S"groupBox14";
			this->groupBox14->Size = System::Drawing::Size(118, 104);
			this->groupBox14->TabIndex = 5;
			this->groupBox14->TabStop = false;
			this->groupBox14->Text = S"傳送副本入口";
			// 
			// TB_Mirror_Z
			// 
			this->TB_Mirror_Z->Location = System::Drawing::Point(28, 76);
			this->TB_Mirror_Z->Name = S"TB_Mirror_Z";
			this->TB_Mirror_Z->Size = System::Drawing::Size(71, 22);
			this->TB_Mirror_Z->TabIndex = 5;
			this->TB_Mirror_Z->Tag = S"Mirror_Z";
			this->TB_Mirror_Z->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label35
			// 
			this->label35->AutoSize = true;
			this->label35->Location = System::Drawing::Point(9, 80);
			this->label35->Name = S"label35";
			this->label35->Size = System::Drawing::Size(12, 12);
			this->label35->TabIndex = 4;
			this->label35->Text = S"Z";
			// 
			// TB_Mirror_Y
			// 
			this->TB_Mirror_Y->Location = System::Drawing::Point(28, 48);
			this->TB_Mirror_Y->Name = S"TB_Mirror_Y";
			this->TB_Mirror_Y->Size = System::Drawing::Size(71, 22);
			this->TB_Mirror_Y->TabIndex = 3;
			this->TB_Mirror_Y->Tag = S"Mirror_Y";
			this->TB_Mirror_Y->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label36
			// 
			this->label36->AutoSize = true;
			this->label36->Location = System::Drawing::Point(9, 52);
			this->label36->Name = S"label36";
			this->label36->Size = System::Drawing::Size(13, 12);
			this->label36->TabIndex = 2;
			this->label36->Text = S"Y";
			// 
			// TB_Mirror_X
			// 
			this->TB_Mirror_X->Location = System::Drawing::Point(28, 21);
			this->TB_Mirror_X->Name = S"TB_Mirror_X";
			this->TB_Mirror_X->Size = System::Drawing::Size(71, 22);
			this->TB_Mirror_X->TabIndex = 1;
			this->TB_Mirror_X->Tag = S"Mirror_X";
			this->TB_Mirror_X->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label37
			// 
			this->label37->AutoSize = true;
			this->label37->Location = System::Drawing::Point(9, 24);
			this->label37->Name = S"label37";
			this->label37->Size = System::Drawing::Size(13, 12);
			this->label37->TabIndex = 0;
			this->label37->Text = S"X";
			// 
			// TB_MirrorLimitTime
			// 
			this->TB_MirrorLimitTime->Location = System::Drawing::Point(87, 75);
			this->TB_MirrorLimitTime->Name = S"TB_MirrorLimitTime";
			this->TB_MirrorLimitTime->Size = System::Drawing::Size(65, 22);
			this->TB_MirrorLimitTime->TabIndex = 12;
			this->TB_MirrorLimitTime->Tag = S"MirrorLimitTime";
			this->TB_MirrorLimitTime->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// TB_MirrorLimitLv
			// 
			this->TB_MirrorLimitLv->Location = System::Drawing::Point(87, 47);
			this->TB_MirrorLimitLv->Name = S"TB_MirrorLimitLv";
			this->TB_MirrorLimitLv->Size = System::Drawing::Size(65, 22);
			this->TB_MirrorLimitLv->TabIndex = 12;
			this->TB_MirrorLimitLv->Tag = S"MirrorLimitLv";
			this->TB_MirrorLimitLv->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label33
			// 
			this->label33->AutoSize = true;
			this->label33->Location = System::Drawing::Point(4, 80);
			this->label33->Name = S"label33";
			this->label33->Size = System::Drawing::Size(77, 12);
			this->label33->TabIndex = 11;
			this->label33->Text = S"闖關限製時間";
			// 
			// CB_MirrorInstanceType
			// 
			this->CB_MirrorInstanceType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_MirrorInstanceType->FormattingEnabled = true;
			System::Object* __mcTemp__5[] = new System::Object*[6];
			__mcTemp__5[0] = S"無";
			__mcTemp__5[1] = S"群組1";
			__mcTemp__5[2] = S"群組2";
			__mcTemp__5[3] = S"群組3";
			__mcTemp__5[4] = S"群組4";
			__mcTemp__5[5] = S"群組5";
			this->CB_MirrorInstanceType->Items->AddRange(__mcTemp__5);
			this->CB_MirrorInstanceType->Location = System::Drawing::Point(87, 21);
			this->CB_MirrorInstanceType->Name = S"CB_MirrorInstanceType";
			this->CB_MirrorInstanceType->Size = System::Drawing::Size(85, 20);
			this->CB_MirrorInstanceType->TabIndex = 6;
			this->CB_MirrorInstanceType->Tag = S"MirrorInstanceType";
			this->CB_MirrorInstanceType->TextChanged += new System::EventHandler(this, &ZoneForm::GetIndex_SelectedIndexChanged);
			// 
			// label32
			// 
			this->label32->AutoSize = true;
			this->label32->Location = System::Drawing::Point(28, 52);
			this->label32->Name = S"label32";
			this->label32->Size = System::Drawing::Size(53, 12);
			this->label32->TabIndex = 11;
			this->label32->Text = S"限制等級";
			// 
			// label31
			// 
			this->label31->AutoSize = true;
			this->label31->Location = System::Drawing::Point(28, 24);
			this->label31->Name = S"label31";
			this->label31->Size = System::Drawing::Size(53, 12);
			this->label31->TabIndex = 4;
			this->label31->Text = S"副本群組";
			// 
			// groupBox10
			// 
			this->groupBox10->Controls->Add(this->checkBox11);
			this->groupBox10->Controls->Add(this->textBox52);
			this->groupBox10->Controls->Add(this->textBox51);
			this->groupBox10->Controls->Add(this->textBox50);
			this->groupBox10->Controls->Add(this->textBox49);
			this->groupBox10->Controls->Add(this->label28);
			this->groupBox10->Controls->Add(this->textBox48);
			this->groupBox10->Controls->Add(this->label26);
			this->groupBox10->Controls->Add(this->textBox46);
			this->groupBox10->Controls->Add(this->label24);
			this->groupBox10->Controls->Add(this->checkBox10);
			this->groupBox10->Controls->Add(this->textBox45);
			this->groupBox10->Controls->Add(this->label23);
			this->groupBox10->Controls->Add(this->textBox44);
			this->groupBox10->Controls->Add(this->label22);
			this->groupBox10->Controls->Add(this->checkBox9);
			this->groupBox10->Controls->Add(this->checkBox8);
			this->groupBox10->Controls->Add(this->checkBox7);
			this->groupBox10->Controls->Add(this->checkBox6);
			this->groupBox10->Controls->Add(this->textBox47);
			this->groupBox10->Controls->Add(this->label25);
			this->groupBox10->Controls->Add(this->checkBox5);
			this->groupBox10->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->groupBox10->Location = System::Drawing::Point(556, 536);
			this->groupBox10->Name = S"groupBox10";
			this->groupBox10->Size = System::Drawing::Size(563, 155);
			this->groupBox10->TabIndex = 19;
			this->groupBox10->TabStop = false;
			// 
			// checkBox11
			// 
			this->checkBox11->AutoSize = true;
			this->checkBox11->Location = System::Drawing::Point(6, 132);
			this->checkBox11->Name = S"checkBox11";
			this->checkBox11->Size = System::Drawing::Size(96, 16);
			this->checkBox11->TabIndex = 26;
			this->checkBox11->Tag = S"IsAutoJoinEventZone";
			this->checkBox11->Text = S"是否自動加入";
			this->checkBox11->UseVisualStyleBackColor = true;
			this->checkBox11->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// textBox52
			// 
			this->textBox52->Location = System::Drawing::Point(479, 104);
			this->textBox52->Name = S"textBox52";
			this->textBox52->Size = System::Drawing::Size(71, 22);
			this->textBox52->TabIndex = 25;
			this->textBox52->Tag = S"iCountryWarLinkMap4";
			this->textBox52->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// textBox51
			// 
			this->textBox51->Location = System::Drawing::Point(479, 78);
			this->textBox51->Name = S"textBox51";
			this->textBox51->Size = System::Drawing::Size(71, 22);
			this->textBox51->TabIndex = 24;
			this->textBox51->Tag = S"iCountryWarLinkMap3";
			this->textBox51->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// textBox50
			// 
			this->textBox50->Location = System::Drawing::Point(479, 57);
			this->textBox50->Name = S"textBox50";
			this->textBox50->Size = System::Drawing::Size(71, 22);
			this->textBox50->TabIndex = 23;
			this->textBox50->Tag = S"iCountryWarLinkMap2";
			this->textBox50->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// textBox49
			// 
			this->textBox49->Location = System::Drawing::Point(479, 33);
			this->textBox49->Name = S"textBox49";
			this->textBox49->Size = System::Drawing::Size(71, 22);
			this->textBox49->TabIndex = 22;
			this->textBox49->Tag = S"iCountryWarLinkMap1";
			this->textBox49->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label28
			// 
			this->label28->AutoSize = true;
			this->label28->Location = System::Drawing::Point(477, 16);
			this->label28->Name = S"label28";
			this->label28->Size = System::Drawing::Size(77, 12);
			this->label28->TabIndex = 21;
			this->label28->Tag = S"";
			this->label28->Text = S"國戰地圖連結";
			// 
			// textBox48
			// 
			this->textBox48->Location = System::Drawing::Point(331, 104);
			this->textBox48->Name = S"textBox48";
			this->textBox48->Size = System::Drawing::Size(131, 22);
			this->textBox48->TabIndex = 20;
			this->textBox48->Tag = S"LuaAssistWorldGroupID";
			this->textBox48->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// label26
			// 
			this->label26->AutoSize = true;
			this->label26->Location = System::Drawing::Point(223, 107);
			this->label26->Name = S"label26";
			this->label26->Size = System::Drawing::Size(103, 12);
			this->label26->TabIndex = 19;
			this->label26->Text = S"AssistWorldGroupID";
			// 
			// textBox46
			// 
			this->textBox46->Location = System::Drawing::Point(331, 76);
			this->textBox46->Name = S"textBox46";
			this->textBox46->Size = System::Drawing::Size(131, 22);
			this->textBox46->TabIndex = 18;
			this->textBox46->Tag = S"LuaPreJoinQueueCheck";
			this->textBox46->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// label24
			// 
			this->label24->AutoSize = true;
			this->label24->Location = System::Drawing::Point(223, 82);
			this->label24->Name = S"label24";
			this->label24->Size = System::Drawing::Size(99, 12);
			this->label24->TabIndex = 17;
			this->label24->Tag = S"";
			this->label24->Text = S"PreJoinQueueCheck";
			// 
			// checkBox10
			// 
			this->checkBox10->AutoSize = true;
			this->checkBox10->Location = System::Drawing::Point(225, 58);
			this->checkBox10->Name = S"checkBox10";
			this->checkBox10->Size = System::Drawing::Size(96, 16);
			this->checkBox10->TabIndex = 13;
			this->checkBox10->Tag = S"IsForceGroup";
			this->checkBox10->Text = S"是否強制組隊";
			this->checkBox10->UseVisualStyleBackColor = true;
			this->checkBox10->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// textBox45
			// 
			this->textBox45->Location = System::Drawing::Point(150, 104);
			this->textBox45->Name = S"textBox45";
			this->textBox45->Size = System::Drawing::Size(46, 22);
			this->textBox45->TabIndex = 12;
			this->textBox45->Tag = S"iMaxJoinLevel";
			this->textBox45->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label23
			// 
			this->label23->AutoSize = true;
			this->label23->Location = System::Drawing::Point(115, 107);
			this->label23->Name = S"label23";
			this->label23->Size = System::Drawing::Size(29, 12);
			this->label23->TabIndex = 11;
			this->label23->Text = S"最高";
			// 
			// textBox44
			// 
			this->textBox44->Location = System::Drawing::Point(58, 104);
			this->textBox44->Name = S"textBox44";
			this->textBox44->Size = System::Drawing::Size(46, 22);
			this->textBox44->TabIndex = 10;
			this->textBox44->Tag = S"iMinJoinLevel";
			this->textBox44->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label22
			// 
			this->label22->AutoSize = true;
			this->label22->Location = System::Drawing::Point(23, 107);
			this->label22->Name = S"label22";
			this->label22->Size = System::Drawing::Size(29, 12);
			this->label22->TabIndex = 9;
			this->label22->Text = S"最低";
			// 
			// checkBox9
			// 
			this->checkBox9->AutoSize = true;
			this->checkBox9->Location = System::Drawing::Point(6, 82);
			this->checkBox9->Name = S"checkBox9";
			this->checkBox9->Size = System::Drawing::Size(120, 16);
			this->checkBox9->TabIndex = 8;
			this->checkBox9->Tag = S"IsLimitJoinLevel";
			this->checkBox9->Text = S"是否限制進入等級";
			this->checkBox9->UseVisualStyleBackColor = true;
			this->checkBox9->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// checkBox8
			// 
			this->checkBox8->AutoSize = true;
			this->checkBox8->Location = System::Drawing::Point(225, 16);
			this->checkBox8->Name = S"checkBox8";
			this->checkBox8->Size = System::Drawing::Size(120, 16);
			this->checkBox8->TabIndex = 7;
			this->checkBox8->Tag = S"IsAllowTeamJoin";
			this->checkBox8->Text = S"是否允許組隊加入";
			this->checkBox8->UseVisualStyleBackColor = true;
			this->checkBox8->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// checkBox7
			// 
			this->checkBox7->AutoSize = true;
			this->checkBox7->Location = System::Drawing::Point(6, 16);
			this->checkBox7->Name = S"checkBox7";
			this->checkBox7->Size = System::Drawing::Size(120, 16);
			this->checkBox7->TabIndex = 6;
			this->checkBox7->Tag = S"IsEnableBattleGroundQueue";
			this->checkBox7->Text = S"是否使用排隊系統";
			this->checkBox7->UseVisualStyleBackColor = true;
			this->checkBox7->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// checkBox6
			// 
			this->checkBox6->AutoSize = true;
			this->checkBox6->Location = System::Drawing::Point(225, 36);
			this->checkBox6->Name = S"checkBox6";
			this->checkBox6->Size = System::Drawing::Size(237, 16);
			this->checkBox6->TabIndex = 5;
			this->checkBox6->Tag = S"IsCountryBattleGround";
			this->checkBox6->Text = S"是否為國戰戰場( 於 INI 檔設定連線世界)";
			this->checkBox6->UseVisualStyleBackColor = true;
			this->checkBox6->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// textBox47
			// 
			this->textBox47->Location = System::Drawing::Point(74, 54);
			this->textBox47->Name = S"textBox47";
			this->textBox47->Size = System::Drawing::Size(71, 22);
			this->textBox47->TabIndex = 1;
			this->textBox47->Tag = S"iWorldBattleGroundWorldID";
			this->textBox47->TextChanged += new System::EventHandler(this, &ZoneForm::GetIntValue_TextChanged);
			// 
			// label25
			// 
			this->label25->AutoSize = true;
			this->label25->Location = System::Drawing::Point(23, 57);
			this->label25->Name = S"label25";
			this->label25->Size = System::Drawing::Size(47, 12);
			this->label25->TabIndex = 0;
			this->label25->Text = S"WorldID";
			// 
			// checkBox5
			// 
			this->checkBox5->AutoSize = true;
			this->checkBox5->Location = System::Drawing::Point(6, 38);
			this->checkBox5->Name = S"checkBox5";
			this->checkBox5->Size = System::Drawing::Size(120, 16);
			this->checkBox5->TabIndex = 4;
			this->checkBox5->Tag = S"IsWorldBattleGround";
			this->checkBox5->Text = S"是否為跨世界戰場";
			this->checkBox5->UseVisualStyleBackColor = true;
			this->checkBox5->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// groupBox9
			// 
			this->groupBox9->Controls->Add(this->groupBox12);
			this->groupBox9->Controls->Add(this->groupBox11);
			this->groupBox9->Location = System::Drawing::Point(555, 56);
			this->groupBox9->Name = S"groupBox9";
			this->groupBox9->Size = System::Drawing::Size(579, 474);
			this->groupBox9->TabIndex = 18;
			this->groupBox9->TabStop = false;
			this->groupBox9->Text = S"區域INI設定";
			// 
			// groupBox12
			// 
			this->groupBox12->Controls->Add(this->label30);
			this->groupBox12->Controls->Add(this->label29);
			this->groupBox12->Controls->Add(this->textBox82);
			this->groupBox12->Controls->Add(this->textBox53);
			this->groupBox12->Controls->Add(this->textBox81);
			this->groupBox12->Controls->Add(this->textBox54);
			this->groupBox12->Controls->Add(this->textBox80);
			this->groupBox12->Controls->Add(this->textBox55);
			this->groupBox12->Controls->Add(this->textBox79);
			this->groupBox12->Controls->Add(this->textBox56);
			this->groupBox12->Controls->Add(this->textBox78);
			this->groupBox12->Controls->Add(this->textBox57);
			this->groupBox12->Controls->Add(this->textBox77);
			this->groupBox12->Controls->Add(this->textBox58);
			this->groupBox12->Controls->Add(this->textBox76);
			this->groupBox12->Controls->Add(this->textBox59);
			this->groupBox12->Controls->Add(this->textBox75);
			this->groupBox12->Controls->Add(this->textBox60);
			this->groupBox12->Controls->Add(this->textBox74);
			this->groupBox12->Controls->Add(this->textBox61);
			this->groupBox12->Controls->Add(this->textBox73);
			this->groupBox12->Controls->Add(this->textBox62);
			this->groupBox12->Controls->Add(this->textBox72);
			this->groupBox12->Controls->Add(this->textBox63);
			this->groupBox12->Controls->Add(this->textBox71);
			this->groupBox12->Controls->Add(this->textBox64);
			this->groupBox12->Controls->Add(this->textBox70);
			this->groupBox12->Controls->Add(this->textBox65);
			this->groupBox12->Controls->Add(this->textBox69);
			this->groupBox12->Controls->Add(this->textBox66);
			this->groupBox12->Controls->Add(this->textBox68);
			this->groupBox12->Controls->Add(this->textBox67);
			this->groupBox12->Location = System::Drawing::Point(288, 17);
			this->groupBox12->Name = S"groupBox12";
			this->groupBox12->Size = System::Drawing::Size(285, 451);
			this->groupBox12->TabIndex = 45;
			this->groupBox12->TabStop = false;
			this->groupBox12->Text = S"16~30";
			// 
			// label30
			// 
			this->label30->AutoSize = true;
			this->label30->Location = System::Drawing::Point(6, 17);
			this->label30->Name = S"label30";
			this->label30->Size = System::Drawing::Size(24, 12);
			this->label30->TabIndex = 0;
			this->label30->Text = S"Key";
			// 
			// label29
			// 
			this->label29->AutoSize = true;
			this->label29->Location = System::Drawing::Point(143, 17);
			this->label29->Name = S"label29";
			this->label29->Size = System::Drawing::Size(32, 12);
			this->label29->TabIndex = 1;
			this->label29->Text = S"Value";
			// 
			// textBox82
			// 
			this->textBox82->Location = System::Drawing::Point(145, 417);
			this->textBox82->Name = S"textBox82";
			this->textBox82->Size = System::Drawing::Size(131, 22);
			this->textBox82->TabIndex = 43;
			this->textBox82->Tag = S"ZoneIniValue29";
			this->textBox82->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox53
			// 
			this->textBox53->Location = System::Drawing::Point(8, 39);
			this->textBox53->Name = S"textBox53";
			this->textBox53->Size = System::Drawing::Size(131, 22);
			this->textBox53->TabIndex = 14;
			this->textBox53->Tag = S"ZoneIniKey15";
			this->textBox53->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox81
			// 
			this->textBox81->Location = System::Drawing::Point(8, 417);
			this->textBox81->Name = S"textBox81";
			this->textBox81->Size = System::Drawing::Size(131, 22);
			this->textBox81->TabIndex = 42;
			this->textBox81->Tag = S"ZoneIniKey29";
			this->textBox81->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox54
			// 
			this->textBox54->Location = System::Drawing::Point(145, 39);
			this->textBox54->Name = S"textBox54";
			this->textBox54->Size = System::Drawing::Size(131, 22);
			this->textBox54->TabIndex = 15;
			this->textBox54->Tag = S"ZoneIniValue15";
			this->textBox54->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox80
			// 
			this->textBox80->Location = System::Drawing::Point(145, 390);
			this->textBox80->Name = S"textBox80";
			this->textBox80->Size = System::Drawing::Size(131, 22);
			this->textBox80->TabIndex = 41;
			this->textBox80->Tag = S"ZoneIniValue28";
			this->textBox80->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox55
			// 
			this->textBox55->Location = System::Drawing::Point(8, 66);
			this->textBox55->Name = S"textBox55";
			this->textBox55->Size = System::Drawing::Size(131, 22);
			this->textBox55->TabIndex = 16;
			this->textBox55->Tag = S"ZoneIniKey16";
			this->textBox55->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox79
			// 
			this->textBox79->Location = System::Drawing::Point(8, 390);
			this->textBox79->Name = S"textBox79";
			this->textBox79->Size = System::Drawing::Size(131, 22);
			this->textBox79->TabIndex = 40;
			this->textBox79->Tag = S"ZoneIniKey28";
			this->textBox79->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox56
			// 
			this->textBox56->Location = System::Drawing::Point(145, 66);
			this->textBox56->Name = S"textBox56";
			this->textBox56->Size = System::Drawing::Size(131, 22);
			this->textBox56->TabIndex = 17;
			this->textBox56->Tag = S"ZoneIniValue16";
			this->textBox56->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox78
			// 
			this->textBox78->Location = System::Drawing::Point(145, 363);
			this->textBox78->Name = S"textBox78";
			this->textBox78->Size = System::Drawing::Size(131, 22);
			this->textBox78->TabIndex = 39;
			this->textBox78->Tag = S"ZoneIniValue27";
			this->textBox78->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox57
			// 
			this->textBox57->Location = System::Drawing::Point(8, 93);
			this->textBox57->Name = S"textBox57";
			this->textBox57->Size = System::Drawing::Size(131, 22);
			this->textBox57->TabIndex = 18;
			this->textBox57->Tag = S"ZoneIniKey17";
			this->textBox57->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox77
			// 
			this->textBox77->Location = System::Drawing::Point(8, 363);
			this->textBox77->Name = S"textBox77";
			this->textBox77->Size = System::Drawing::Size(131, 22);
			this->textBox77->TabIndex = 38;
			this->textBox77->Tag = S"ZoneIniKey27";
			this->textBox77->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox58
			// 
			this->textBox58->Location = System::Drawing::Point(145, 93);
			this->textBox58->Name = S"textBox58";
			this->textBox58->Size = System::Drawing::Size(131, 22);
			this->textBox58->TabIndex = 19;
			this->textBox58->Tag = S"ZoneIniValue17";
			this->textBox58->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox76
			// 
			this->textBox76->Location = System::Drawing::Point(145, 336);
			this->textBox76->Name = S"textBox76";
			this->textBox76->Size = System::Drawing::Size(131, 22);
			this->textBox76->TabIndex = 37;
			this->textBox76->Tag = S"ZoneIniValue26";
			this->textBox76->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox59
			// 
			this->textBox59->Location = System::Drawing::Point(8, 120);
			this->textBox59->Name = S"textBox59";
			this->textBox59->Size = System::Drawing::Size(131, 22);
			this->textBox59->TabIndex = 20;
			this->textBox59->Tag = S"ZoneIniKey18";
			this->textBox59->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox75
			// 
			this->textBox75->Location = System::Drawing::Point(8, 336);
			this->textBox75->Name = S"textBox75";
			this->textBox75->Size = System::Drawing::Size(131, 22);
			this->textBox75->TabIndex = 36;
			this->textBox75->Tag = S"ZoneIniKey26";
			this->textBox75->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox60
			// 
			this->textBox60->Location = System::Drawing::Point(145, 120);
			this->textBox60->Name = S"textBox60";
			this->textBox60->Size = System::Drawing::Size(131, 22);
			this->textBox60->TabIndex = 21;
			this->textBox60->Tag = S"ZoneIniValue18";
			this->textBox60->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox74
			// 
			this->textBox74->Location = System::Drawing::Point(145, 309);
			this->textBox74->Name = S"textBox74";
			this->textBox74->Size = System::Drawing::Size(131, 22);
			this->textBox74->TabIndex = 35;
			this->textBox74->Tag = S"ZoneIniValue25";
			this->textBox74->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox61
			// 
			this->textBox61->Location = System::Drawing::Point(8, 147);
			this->textBox61->Name = S"textBox61";
			this->textBox61->Size = System::Drawing::Size(131, 22);
			this->textBox61->TabIndex = 22;
			this->textBox61->Tag = S"ZoneIniKey19";
			this->textBox61->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox73
			// 
			this->textBox73->Location = System::Drawing::Point(8, 309);
			this->textBox73->Name = S"textBox73";
			this->textBox73->Size = System::Drawing::Size(131, 22);
			this->textBox73->TabIndex = 34;
			this->textBox73->Tag = S"ZoneIniKey25";
			this->textBox73->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox62
			// 
			this->textBox62->Location = System::Drawing::Point(145, 147);
			this->textBox62->Name = S"textBox62";
			this->textBox62->Size = System::Drawing::Size(131, 22);
			this->textBox62->TabIndex = 23;
			this->textBox62->Tag = S"ZoneIniValue19";
			this->textBox62->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox72
			// 
			this->textBox72->Location = System::Drawing::Point(145, 282);
			this->textBox72->Name = S"textBox72";
			this->textBox72->Size = System::Drawing::Size(131, 22);
			this->textBox72->TabIndex = 33;
			this->textBox72->Tag = S"ZoneIniValue24";
			this->textBox72->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox63
			// 
			this->textBox63->Location = System::Drawing::Point(8, 174);
			this->textBox63->Name = S"textBox63";
			this->textBox63->Size = System::Drawing::Size(131, 22);
			this->textBox63->TabIndex = 24;
			this->textBox63->Tag = S"ZoneIniKey20";
			this->textBox63->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox71
			// 
			this->textBox71->Location = System::Drawing::Point(8, 282);
			this->textBox71->Name = S"textBox71";
			this->textBox71->Size = System::Drawing::Size(131, 22);
			this->textBox71->TabIndex = 32;
			this->textBox71->Tag = S"ZoneIniKey24";
			this->textBox71->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox64
			// 
			this->textBox64->Location = System::Drawing::Point(145, 174);
			this->textBox64->Name = S"textBox64";
			this->textBox64->Size = System::Drawing::Size(131, 22);
			this->textBox64->TabIndex = 25;
			this->textBox64->Tag = S"ZoneIniValue20";
			this->textBox64->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox70
			// 
			this->textBox70->Location = System::Drawing::Point(145, 255);
			this->textBox70->Name = S"textBox70";
			this->textBox70->Size = System::Drawing::Size(131, 22);
			this->textBox70->TabIndex = 31;
			this->textBox70->Tag = S"ZoneIniValue23";
			this->textBox70->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox65
			// 
			this->textBox65->Location = System::Drawing::Point(8, 201);
			this->textBox65->Name = S"textBox65";
			this->textBox65->Size = System::Drawing::Size(131, 22);
			this->textBox65->TabIndex = 26;
			this->textBox65->Tag = S"ZoneIniKey21";
			this->textBox65->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox69
			// 
			this->textBox69->Location = System::Drawing::Point(8, 255);
			this->textBox69->Name = S"textBox69";
			this->textBox69->Size = System::Drawing::Size(131, 22);
			this->textBox69->TabIndex = 30;
			this->textBox69->Tag = S"ZoneIniKey23";
			this->textBox69->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox66
			// 
			this->textBox66->Location = System::Drawing::Point(145, 201);
			this->textBox66->Name = S"textBox66";
			this->textBox66->Size = System::Drawing::Size(131, 22);
			this->textBox66->TabIndex = 27;
			this->textBox66->Tag = S"ZoneIniValue21";
			this->textBox66->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox68
			// 
			this->textBox68->Location = System::Drawing::Point(145, 228);
			this->textBox68->Name = S"textBox68";
			this->textBox68->Size = System::Drawing::Size(131, 22);
			this->textBox68->TabIndex = 29;
			this->textBox68->Tag = S"ZoneIniValue22";
			this->textBox68->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox67
			// 
			this->textBox67->Location = System::Drawing::Point(8, 228);
			this->textBox67->Name = S"textBox67";
			this->textBox67->Size = System::Drawing::Size(131, 22);
			this->textBox67->TabIndex = 28;
			this->textBox67->Tag = S"ZoneIniKey22";
			this->textBox67->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// groupBox11
			// 
			this->groupBox11->Controls->Add(this->label19);
			this->groupBox11->Controls->Add(this->label20);
			this->groupBox11->Controls->Add(this->textBox41);
			this->groupBox11->Controls->Add(this->textBox12);
			this->groupBox11->Controls->Add(this->textBox13);
			this->groupBox11->Controls->Add(this->textBox42);
			this->groupBox11->Controls->Add(this->textBox15);
			this->groupBox11->Controls->Add(this->textBox14);
			this->groupBox11->Controls->Add(this->textBox39);
			this->groupBox11->Controls->Add(this->textBox17);
			this->groupBox11->Controls->Add(this->textBox16);
			this->groupBox11->Controls->Add(this->textBox40);
			this->groupBox11->Controls->Add(this->textBox20);
			this->groupBox11->Controls->Add(this->textBox19);
			this->groupBox11->Controls->Add(this->textBox37);
			this->groupBox11->Controls->Add(this->textBox22);
			this->groupBox11->Controls->Add(this->textBox21);
			this->groupBox11->Controls->Add(this->textBox38);
			this->groupBox11->Controls->Add(this->textBox24);
			this->groupBox11->Controls->Add(this->textBox23);
			this->groupBox11->Controls->Add(this->textBox35);
			this->groupBox11->Controls->Add(this->textBox26);
			this->groupBox11->Controls->Add(this->textBox25);
			this->groupBox11->Controls->Add(this->textBox36);
			this->groupBox11->Controls->Add(this->textBox28);
			this->groupBox11->Controls->Add(this->textBox27);
			this->groupBox11->Controls->Add(this->textBox33);
			this->groupBox11->Controls->Add(this->textBox30);
			this->groupBox11->Controls->Add(this->textBox29);
			this->groupBox11->Controls->Add(this->textBox34);
			this->groupBox11->Controls->Add(this->textBox32);
			this->groupBox11->Controls->Add(this->textBox31);
			this->groupBox11->Location = System::Drawing::Point(6, 17);
			this->groupBox11->Name = S"groupBox11";
			this->groupBox11->Size = System::Drawing::Size(279, 451);
			this->groupBox11->TabIndex = 44;
			this->groupBox11->TabStop = false;
			this->groupBox11->Text = S"1~15";
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Location = System::Drawing::Point(6, 18);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(24, 12);
			this->label19->TabIndex = 0;
			this->label19->Text = S"Key";
			// 
			// label20
			// 
			this->label20->AutoSize = true;
			this->label20->Location = System::Drawing::Point(141, 18);
			this->label20->Name = S"label20";
			this->label20->Size = System::Drawing::Size(32, 12);
			this->label20->TabIndex = 1;
			this->label20->Text = S"Value";
			// 
			// textBox41
			// 
			this->textBox41->Location = System::Drawing::Point(143, 418);
			this->textBox41->Name = S"textBox41";
			this->textBox41->Size = System::Drawing::Size(131, 22);
			this->textBox41->TabIndex = 43;
			this->textBox41->Tag = S"ZoneIniValue14";
			this->textBox41->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox12
			// 
			this->textBox12->Location = System::Drawing::Point(6, 40);
			this->textBox12->Name = S"textBox12";
			this->textBox12->Size = System::Drawing::Size(131, 22);
			this->textBox12->TabIndex = 14;
			this->textBox12->Tag = S"ZoneIniKey0";
			this->textBox12->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox13
			// 
			this->textBox13->Location = System::Drawing::Point(143, 40);
			this->textBox13->Name = S"textBox13";
			this->textBox13->Size = System::Drawing::Size(131, 22);
			this->textBox13->TabIndex = 15;
			this->textBox13->Tag = S"ZoneIniValue0";
			this->textBox13->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox42
			// 
			this->textBox42->Location = System::Drawing::Point(6, 418);
			this->textBox42->Name = S"textBox42";
			this->textBox42->Size = System::Drawing::Size(131, 22);
			this->textBox42->TabIndex = 42;
			this->textBox42->Tag = S"ZoneIniKey14";
			this->textBox42->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox15
			// 
			this->textBox15->Location = System::Drawing::Point(6, 67);
			this->textBox15->Name = S"textBox15";
			this->textBox15->Size = System::Drawing::Size(131, 22);
			this->textBox15->TabIndex = 16;
			this->textBox15->Tag = S"ZoneIniKey1";
			this->textBox15->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox14
			// 
			this->textBox14->Location = System::Drawing::Point(143, 67);
			this->textBox14->Name = S"textBox14";
			this->textBox14->Size = System::Drawing::Size(131, 22);
			this->textBox14->TabIndex = 17;
			this->textBox14->Tag = S"ZoneIniValue1";
			this->textBox14->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox39
			// 
			this->textBox39->Location = System::Drawing::Point(143, 391);
			this->textBox39->Name = S"textBox39";
			this->textBox39->Size = System::Drawing::Size(131, 22);
			this->textBox39->TabIndex = 41;
			this->textBox39->Tag = S"ZoneIniValue13";
			this->textBox39->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox17
			// 
			this->textBox17->Location = System::Drawing::Point(6, 93);
			this->textBox17->Name = S"textBox17";
			this->textBox17->Size = System::Drawing::Size(131, 22);
			this->textBox17->TabIndex = 18;
			this->textBox17->Tag = S"ZoneIniKey2";
			this->textBox17->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox16
			// 
			this->textBox16->Location = System::Drawing::Point(143, 93);
			this->textBox16->Name = S"textBox16";
			this->textBox16->Size = System::Drawing::Size(131, 22);
			this->textBox16->TabIndex = 19;
			this->textBox16->Tag = S"ZoneIniValue2";
			this->textBox16->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox40
			// 
			this->textBox40->Location = System::Drawing::Point(6, 391);
			this->textBox40->Name = S"textBox40";
			this->textBox40->Size = System::Drawing::Size(131, 22);
			this->textBox40->TabIndex = 40;
			this->textBox40->Tag = S"ZoneIniKey13";
			this->textBox40->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox20
			// 
			this->textBox20->Location = System::Drawing::Point(6, 121);
			this->textBox20->Name = S"textBox20";
			this->textBox20->Size = System::Drawing::Size(131, 22);
			this->textBox20->TabIndex = 20;
			this->textBox20->Tag = S"ZoneIniKey3";
			this->textBox20->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox19
			// 
			this->textBox19->Location = System::Drawing::Point(143, 121);
			this->textBox19->Name = S"textBox19";
			this->textBox19->Size = System::Drawing::Size(131, 22);
			this->textBox19->TabIndex = 21;
			this->textBox19->Tag = S"ZoneIniValue3";
			this->textBox19->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox37
			// 
			this->textBox37->Location = System::Drawing::Point(143, 363);
			this->textBox37->Name = S"textBox37";
			this->textBox37->Size = System::Drawing::Size(131, 22);
			this->textBox37->TabIndex = 39;
			this->textBox37->Tag = S"ZoneIniValue12";
			this->textBox37->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox22
			// 
			this->textBox22->Location = System::Drawing::Point(6, 148);
			this->textBox22->Name = S"textBox22";
			this->textBox22->Size = System::Drawing::Size(131, 22);
			this->textBox22->TabIndex = 22;
			this->textBox22->Tag = S"ZoneIniKey4";
			this->textBox22->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox21
			// 
			this->textBox21->Location = System::Drawing::Point(143, 148);
			this->textBox21->Name = S"textBox21";
			this->textBox21->Size = System::Drawing::Size(131, 22);
			this->textBox21->TabIndex = 23;
			this->textBox21->Tag = S"ZoneIniValue4";
			this->textBox21->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox38
			// 
			this->textBox38->Location = System::Drawing::Point(6, 363);
			this->textBox38->Name = S"textBox38";
			this->textBox38->Size = System::Drawing::Size(131, 22);
			this->textBox38->TabIndex = 38;
			this->textBox38->Tag = S"ZoneIniKey12";
			this->textBox38->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox24
			// 
			this->textBox24->Location = System::Drawing::Point(6, 175);
			this->textBox24->Name = S"textBox24";
			this->textBox24->Size = System::Drawing::Size(131, 22);
			this->textBox24->TabIndex = 24;
			this->textBox24->Tag = S"ZoneIniKey5";
			this->textBox24->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(143, 175);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(131, 22);
			this->textBox23->TabIndex = 25;
			this->textBox23->Tag = S"ZoneIniValue5";
			this->textBox23->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox35
			// 
			this->textBox35->Location = System::Drawing::Point(143, 337);
			this->textBox35->Name = S"textBox35";
			this->textBox35->Size = System::Drawing::Size(131, 22);
			this->textBox35->TabIndex = 37;
			this->textBox35->Tag = S"ZoneIniValue11";
			this->textBox35->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox26
			// 
			this->textBox26->Location = System::Drawing::Point(6, 202);
			this->textBox26->Name = S"textBox26";
			this->textBox26->Size = System::Drawing::Size(131, 22);
			this->textBox26->TabIndex = 26;
			this->textBox26->Tag = S"ZoneIniKey6";
			this->textBox26->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(143, 202);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(131, 22);
			this->textBox25->TabIndex = 27;
			this->textBox25->Tag = S"ZoneIniValue6";
			this->textBox25->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox36
			// 
			this->textBox36->Location = System::Drawing::Point(6, 337);
			this->textBox36->Name = S"textBox36";
			this->textBox36->Size = System::Drawing::Size(131, 22);
			this->textBox36->TabIndex = 36;
			this->textBox36->Tag = S"ZoneIniKey11";
			this->textBox36->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox28
			// 
			this->textBox28->Location = System::Drawing::Point(6, 228);
			this->textBox28->Name = S"textBox28";
			this->textBox28->Size = System::Drawing::Size(131, 22);
			this->textBox28->TabIndex = 28;
			this->textBox28->Tag = S"ZoneIniKey7";
			this->textBox28->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox27
			// 
			this->textBox27->Location = System::Drawing::Point(143, 228);
			this->textBox27->Name = S"textBox27";
			this->textBox27->Size = System::Drawing::Size(131, 22);
			this->textBox27->TabIndex = 29;
			this->textBox27->Tag = S"ZoneIniValue7";
			this->textBox27->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox33
			// 
			this->textBox33->Location = System::Drawing::Point(143, 310);
			this->textBox33->Name = S"textBox33";
			this->textBox33->Size = System::Drawing::Size(131, 22);
			this->textBox33->TabIndex = 35;
			this->textBox33->Tag = S"ZoneIniValue10";
			this->textBox33->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox30
			// 
			this->textBox30->Location = System::Drawing::Point(6, 256);
			this->textBox30->Name = S"textBox30";
			this->textBox30->Size = System::Drawing::Size(131, 22);
			this->textBox30->TabIndex = 30;
			this->textBox30->Tag = S"ZoneIniKey8";
			this->textBox30->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox29
			// 
			this->textBox29->Location = System::Drawing::Point(143, 256);
			this->textBox29->Name = S"textBox29";
			this->textBox29->Size = System::Drawing::Size(131, 22);
			this->textBox29->TabIndex = 31;
			this->textBox29->Tag = S"ZoneIniValue8";
			this->textBox29->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox34
			// 
			this->textBox34->Location = System::Drawing::Point(6, 310);
			this->textBox34->Name = S"textBox34";
			this->textBox34->Size = System::Drawing::Size(131, 22);
			this->textBox34->TabIndex = 34;
			this->textBox34->Tag = S"ZoneIniKey10";
			this->textBox34->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox32
			// 
			this->textBox32->Location = System::Drawing::Point(6, 283);
			this->textBox32->Name = S"textBox32";
			this->textBox32->Size = System::Drawing::Size(131, 22);
			this->textBox32->TabIndex = 32;
			this->textBox32->Tag = S"ZoneIniKey9";
			this->textBox32->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// textBox31
			// 
			this->textBox31->Location = System::Drawing::Point(143, 283);
			this->textBox31->Name = S"textBox31";
			this->textBox31->Size = System::Drawing::Size(131, 22);
			this->textBox31->TabIndex = 33;
			this->textBox31->Tag = S"ZoneIniValue9";
			this->textBox31->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// checkBox4
			// 
			this->checkBox4->AutoSize = true;
			this->checkBox4->Location = System::Drawing::Point(561, 36);
			this->checkBox4->Name = S"checkBox4";
			this->checkBox4->Size = System::Drawing::Size(84, 16);
			this->checkBox4->TabIndex = 17;
			this->checkBox4->Tag = S"IsEnabledRide";
			this->checkBox4->Text = S"區域可騎馬";
			this->checkBox4->UseVisualStyleBackColor = true;
			this->checkBox4->CheckedChanged += new System::EventHandler(this, &ZoneForm::GetValue_CheckChanged);
			// 
			// textBox18
			// 
			this->textBox18->Location = System::Drawing::Point(642, 8);
			this->textBox18->Name = S"textBox18";
			this->textBox18->Size = System::Drawing::Size(131, 22);
			this->textBox18->TabIndex = 16;
			this->textBox18->Tag = S"LuaInitZone";
			this->textBox18->TextChanged += new System::EventHandler(this, &ZoneForm::GetStr_TextChanged);
			// 
			// label27
			// 
			this->label27->AutoSize = true;
			this->label27->Location = System::Drawing::Point(559, 12);
			this->label27->Name = S"label27";
			this->label27->Size = System::Drawing::Size(77, 12);
			this->label27->TabIndex = 15;
			this->label27->Text = S"區域初始劇情";
			// 
			// LB_ZoneID
			// 
			this->LB_ZoneID->AutoSize = true;
			this->LB_ZoneID->Font = (new System::Drawing::Font(S"PMingLiU", 12, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->LB_ZoneID->Location = System::Drawing::Point(16, 8);
			this->LB_ZoneID->Name = S"LB_ZoneID";
			this->LB_ZoneID->Size = System::Drawing::Size(56, 16);
			this->LB_ZoneID->TabIndex = 13;
			this->LB_ZoneID->Text = S"第一區";
			// 
			// ZoneForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(1148, 746);
			this->Controls->Add(this->panel1);
			this->Name = S"ZoneForm";
			this->Text = S"ZoneForm";
			this->GB_CtrlBlock->ResumeLayout(false);
			this->GB_CtrlBlock->PerformLayout();
			this->GB_PrivateRoom->ResumeLayout(false);
			this->GB_PrivateRoom->PerformLayout();
			this->GB_Revive->ResumeLayout(false);
			this->GB_Revive->PerformLayout();
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			this->groupBox7->ResumeLayout(false);
			this->groupBox7->PerformLayout();
			this->groupBox8->ResumeLayout(false);
			this->groupBox8->PerformLayout();
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->GP_MirrorInstance->ResumeLayout(false);
			this->GP_MirrorInstance->PerformLayout();
			this->groupBox14->ResumeLayout(false);
			this->groupBox14->PerformLayout();
			this->groupBox10->ResumeLayout(false);
			this->groupBox10->PerformLayout();
			this->groupBox9->ResumeLayout(false);
			this->groupBox12->ResumeLayout(false);
			this->groupBox12->PerformLayout();
			this->groupBox11->ResumeLayout(false);
			this->groupBox11->PerformLayout();
			this->ResumeLayout(false);
			this->PerformLayout();

		}		




#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);

        System::Void SearchMagicClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchItemClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchWeaponClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchArmorClick(System::Object *  sender, System::EventArgs *  e);
        System::Void SearchImageClick(System::Object *  sender, System::EventArgs *  e);
		System::Void Select_Ability_Click(System::Object*  sender, System::EventArgs*  e);
		System::Void GetValue_CheckChanged(System::Object*  sender, System::EventArgs*  e);
#endif
    protected:
        //######################################################################################################
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        //輸出時額外設定
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange();
        //######################################################################################################
		void	FixMapInfoList( );

		System::Void NewMapInfoClick(System::Object*  sender, System::EventArgs*  e);
		System::Void DelMapInfoClick(System::Object*  sender, System::EventArgs*  e);
		System::Void ModifyMapInfoClick(System::Object*  sender, System::EventArgs*  e);
		System::Void MapInfo_SelectedIndexChanged(System::Object*  sender, System::EventArgs*  e);
		System::Void UpdateMapInfoClick(System::Object*  sender, System::EventArgs*  e);

private: System::Void label5_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
private: System::Void label25_Click(System::Object*  sender, System::EventArgs*  e) {
		 }
};
}